Subject: distcheck fails when having TEST in sub-directory

From: Peter Johansson <[email-masked]>
Date: Thu, 4 Aug 2011 13:53:37 -0400

Hello automakers,

I have a non-recursive Makefile.am but keep the tests in sub-directory named
test. Surprisingly distcheck fails for me with this set up, which to me
seems to be caused by some VPATH issue.

Below is a trimmed down test case that fails for me with

make  check-TESTS
make[2]: *** No rule to make target `test/foo.test', needed by
`check-TESTS'.  Stop.
make[1]: *** [check-am] Error 2
make: *** [distcheck] Error 1

cat > configure.ac <<EOF
AC_INIT([foo], [1])
AM_INIT_AUTOMAKE([foreign])
AC_CONFIG_FILES([Makefile])
AC_OUTPUT
EOF

cat > Makefile.am <<EOF
TEST_EXTENSIONS = .test
TESTS = test/foo.test
EOF

mkdir -p test
cat > test/foo.test <<EOF
echo hello world
exit 0
EOF
chmod 755 test/foo.test

autoreconf -ivf
./configure
make all
make check
make distcheck

Is this a bug or am I doing something wrong?

I'm using Automake 1.11.1

Thanks,
Peter